.t-pagination {
  @apply grid grid-cols-1 lg:grid-cols-2 gap-0 text-sm bg-gray-50 border border-solid border-gray-300;

  .pgntn-info {
    @apply hidden;
    @apply md:flex md:justify-center;
    @apply lg:flex lg:justify-start;

    .pgntn-per-page {
      @apply flex items-center border-0;
      @apply lg:border-r lg:border-solid lg:border-gray-200;

      .pgntn-show {
        @apply px-2;
      }

      .pgntn-item {
        @apply pl-2 pr-1;
        @apply lg:pr-2;
      }
    }

    .pgntn-record {
      @apply flex items-center border-0 pl-0 pr-2;
      @apply lg:pl-2 lg:border-r lg:border-solid lg:border-gray-200;

      .pgntn-record-total {
        @apply ml-1 font-semibold;
      }
    }
  }

  .pgntn-navigation {
    @apply flex items-center justify-between;
    @apply lg:justify-end;

    .pgntn-button-start {
      @apply flex;
      @apply lg:hidden;

      .pgntn-previous {
        @apply border-0 border-r border-solid border-gray-200;
      }
    }

    .pgntn-page {
      @apply flex items-center border-0;
      @apply lg:border-r lg:border-solid lg:border-gray-200;

      .pgntn-page-label {
        @apply px-2;
      }

      .pgntn-page-record {
        @apply pl-2 pr-3;

        .pgntn-page-record-total {
          @apply ml-0.5 font-semibold;
        }
      }
    }

    .pgntn-button-end {
      @apply flex;

      .pgntn-previous {
        @apply hidden border-0;
        @apply lg:block lg:border-r lg:border-solid lg:border-gray-200;
      }

      .pgntn-next {
        @apply border-0 border-l border-solid border-gray-200;
        @apply lg:border-0;
      }
    }

    .pgntn-previous button,
    .pgntn-next button {
      @apply flex items-center bg-transparent leading-4 border-0 px-4 py-2.5 cursor-pointer;
      @apply hover:bg-gray-100;
      @apply disabled:cursor-not-allowed disabled:opacity-50 disabled:hover:bg-transparent;
      @apply focus:ring-1;
    }
  }

  .pgntn-select {
    .ng-select-container {
      @apply h-[36px] w-[67px] bg-white border-transparent rounded-none;

      .ng-value-container {
        .ng-placeholder {
          @apply font-normal text-sm text-gray-600;
        }

        .ng-value {
          .ng-value-label {
            @apply font-normal text-sm;
          }
        }

        .ng-input {
          @apply top-0;

          & > input {
            @apply font-normal text-sm;
          }
        }
      }

      .ng-arrow-wrapper {
        @apply pr-2;

        .ng-arrow {
          @apply border-0;

          width: unset;

          &::before {
            @apply block absolute leading-none antialiased bg-no-repeat h-[16px] w-[16px] top-[-14px] left-[-8px];

            content: '';
            background-size: 16px 16px;
          }
        }
      }
    }

    &.ng-select-opened {
      .ng-select-container {
        @apply bg-white;

        .ng-arrow-wrapper {
          .ng-arrow {
            &::before {
              @apply block absolute leading-none antialiased bg-no-repeat h-[16px] w-[16px] top-[-10px] left-[-8px];

              content: '';
              background-size: 16px 16px;
            }
          }
        }
      }
    }

    &.ng-select-focused:not(.ng-select-opened) > .ng-select-container {
      @apply border shadow-[inset_0_0_0_1px_#ffc800];
    }

    .ng-dropdown-panel {
      @apply border-gray-400 w-auto min-w-[70px];

      .ng-dropdown-panel-items {
        @apply rounded-lg;

        .ng-option {
          .ng-option-label {
            @apply font-normal text-sm;
          }

          &.ng-option-marked {
            @apply bg-gray-200;
          }

          &.ng-option-selected {
            @apply bg-gray-300;

            .ng-option-label {
              @apply font-semibold;
            }
          }
        }
      }

      &.ng-select-top {
        @apply mb-2 border-b-gray-400;
      }

      &.ng-select-bottom {
        @apply mt-2 border-t-gray-400;
      }

      &.ng-select-top,
      &.ng-select-bottom {
        @apply rounded-lg;

        .ng-dropdown-panel-items {
          .ng-option {
            &:first-child {
              @apply rounded-tr-lg rounded-tl-lg;
            }

            &:last-child {
              @apply rounded-br-lg rounded-bl-lg;
            }
          }
        }
      }
    }
  }
}
